#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9C,0x3E,0x1C,0x1E,0x05,0xE9,0xA5,0x82,0xB5,0x49,0x34,0x6F,
		0x0B,0x28,0x45,0x72,0xCB,0xF5,0xAA,0x4A,0x6E,0x26,0x6F,0xD6,
		0x57,0x1D,0x52,0xF1,0xCF,0x02,0x55,0x79,0xF7,0xC5,0x3F,0x1F,
		0x86,0x19,0x47,0x3A,0xC2,0x20,0x25,0xAE,0xF0,0x42,0xE2,0x9C,
		0xE6,0xA0,0x67,0x0A,0xA2,0x9E,0x9C,0xBC,0xBD,0xBE,0xC5,0x85,
		0x1E,0x5D,0x54,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
